#
# spec file for package pulseaudio-equalizer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pulseaudio-equalizer
Version:        2.7.0.2
Release:        5.2
Summary:        PulseAudio's LADSPA plugin graphical user interface
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Mixers
Url:            http://ubuntuforums.org/showthread.php?t=1308838
Source:         http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu/pool/main/p/%{name}/%{name}_%{version}.orig.tar.gz
# PATCH-FIX-UPSTREAM 0001-pulse-path.patch webupd8@gmail.com -- Update path to PulseAudio files to a new one.
Patch0:         0001-pulse-path.patch
# PATCH-FIX-UPSTREAM 0002-remove-preamp.patch webupd8@gmail.com -- Remove preamp.
Patch1:         0002-remove-preamp.patch
# PATCH-FIX-UPSTREAM 0003-force-default-persistence-value.patch webupd8@gmail.com -- Force default persistence value.
Patch2:         0003-force-default-persistence-value.patch
# PATCH-FIX-UPSTREAM 0004-do-not-crash-on-missing-preset.patch webupd8@gmail.com -- Do not crash on missing preset.
Patch3:         0004-do-not-crash-on-missing-preset.patch
# PATCH-FIX-UPSTREAM 0005-window-icon.patch webupd8@gmail.com -- Correct way of setting window icon.
Patch4:         0005-window-icon.patch
# PATCH-FIX-UPSTREAM 0006-fix-desktop.patch malcolmlewis@opensuse.org -- Fix .desktop file.
Patch5:         0006-fix-desktop.patch
# PATCH-FIX-UPSTREAM 0007-remove-all-preamp.patch alex@warwickvesztrocy.co.uk -- Remove all preamp.
Patch6:         0007-remove-all-preamp.patch
# PATCH-FIX-UPSTREAM 0008-fix-locale-issues.patch sor.alexei@meowr.ru -- Fix issues on non-Latin systems.
Patch7:         0008-fix-locale-issues.patch
# PATCH-FIX-UPSTREAM 0009-do-not-zero-volume.patch sor.alexei@meowr.ru -- Fix volume zeroing on fresh PulseAudio.
Patch8:         0009-do-not-zero-volume.patch
BuildRequires:  update-desktop-files
Requires:       ladspa-swh-plugins
Requires:       pulseaudio >= 4.0
Requires:       pulseaudio-utils >= 4.0
Requires:       python-gnome
Requires:       python-gtk
BuildArch:      noarch

%description
GUI for PulseAudio's LADSPA interface using Steve Harris' Multiband EQ
(mbeq_1197) plugin

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_bindir}/ %{buildroot}%{_datadir}/%{name}/presets/
install -Dm 0755 .%{_bindir}/%{name}* %{buildroot}%{_bindir}/
install -Dm 0755 .%{_datadir}/%{name}/%{name}.py %{buildroot}%{_datadir}/%{name}/%{name}.py
install -Dm 0644 .%{_datadir}/%{name}/presets/* %{buildroot}%{_datadir}/%{name}/presets/
install -Dm 0644 .%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Sep  4 2015 altesholz@gmail.com
- Some quotes in patch 0008-fix-locale-issues.patch were wrong:
  ' instead of " and the other way around.
* Wed Apr 29 2015 sor.alexei@meowr.ru
- Add 0007-remove-all-preamp.patch, 0008-fix-locale-issues.patch,
  0009-do-not-zero-volume.patch.
* Mon Oct 20 2014 sor.alexei@meowr.ru
- Add .desktop database update.
- Spec cleanup.
* Thu Jul 17 2014 sor.alexei@meowr.ru
- Initial build.
